# Armor Type Definitions

armordefinition = {

    {   # Armor Type Name default
        'Default',

        # Armor Definition
        'Normal 1.0',
    },
    {   # Armor Type Name normal
        'Normal',

        # Armor Definition
        'Normal 1.0',
    },
    {   # Armor Type Name light
        'Light',

        # Armor Definition
        'Normal 1.0',
    },
    {   # Armor Type Name commander
        'Commander',

        # Armor Definition
        'Normal 1.0',
        'Overcharge 0.0083333',
    },
    {   # Armor Type Name structure
        'Structure',

        # Armor Definition
        'Normal 1.0',
        'Overcharge 0.041666',
    },
    {   # Armor Type Name experimental
        'Experimental',
        
        # Armor Definition
        'ExperimentalFootfall 0.0',        
    },

#UEF Land

	{	# Damage Type Name UEF Machinegun
		'D_UEF_Machinegun',
		
		# Armor Definition
		'Normal 1.0',
	},
	{	# Damage Type Name UEF Grenade
		'D_UEF_Grenade',
		
		# Armor Definition
		'Normal 1.0',
	},
	{	# Damage Type Name UEF Plasma
		'D_UEF_Plasma',
		
		# Armor Definition
		'Normal 1.0',
	},
	{	# Damage Type Name UEF TankShell
		'D_UEF_TankShell',
		
		# Armor Definition
		'Normal 1.0',
	},
	{	# Damage Type Name UEF Flak
		'D_UEF_Flak',
		
		# Armor Definition
		'Normal 1.0',
	},
	{	# Damage Type Name UEF Artillery
		'D_UEF_Artillery',
		
		# Armor Definition
		'Normal 1.0',
	},
	{	# Damage Type Name UEF Missile
		'D_UEF_Missile',
		
		# Armor Definition
		'Normal 1.0',
	},
	
	{	# New Armor Type Name UEF LightInfantry
		'A_UEF_LightInfantry',
		
		# Armor Definition
		'D_UEF_Machinegun 1.0',
		'D_UEF_Grenade 1.0',
		'D_UEF_Plasma 1.0',
		'D_UEF_TankShell 1.0',
		'D_UEF_Flak 1.0',
		'D_UEF_Artillery 1.0',
		'D_UEF_Missile 1.0',
	},
	{	# New Armor Type Name UEF HeavyInfantry
		'A_UEF_HeavyInfantry',
		
		# Armor Definition
		'D_UEF_Machinegun 1.0',
		'D_UEF_Grenade 1.0',
		'D_UEF_Plasma 1.0',
		'D_UEF_TankShell 1.0',
		'D_UEF_Flak 1.0',
		'D_UEF_Artillery 1.0',
		'D_UEF_Missile 1.0',
	},
	{	# New Armor Type Name UEF LightVehicle
		'A_UEF_LightVehicle',
		
		# Armor Definition
		'D_UEF_Machinegun 1.0',
		'D_UEF_Grenade 1.0',
		'D_UEF_Plasma 1.0',
		'D_UEF_TankShell 1.0',
		'D_UEF_Flak 1.0',
		'D_UEF_Artillery 1.0',
		'D_UEF_Missile 1.0',
	},
	{	# New Armor Type Name UEF HeavyVehicle
		'A_UEF_HeavyVehicle',
		
		# Armor Definition
		'D_UEF_Machinegun 1.0',
		'D_UEF_Grenade 1.0',
		'D_UEF_Plasma 1.0',
		'D_UEF_TankShell 1.0',
		'D_UEF_Flak 1.0',
		'D_UEF_Artillery 1.0',
		'D_UEF_Missile 1.0',
	},
	{	# New Armor Type Name UEF LightTank
		'A_UEF_LightTank',
		
		# Armor Definition
		'D_UEF_Machinegun 1.0',
		'D_UEF_Grenade 1.0',
		'D_UEF_Plasma 1.0',
		'D_UEF_TankShell 1.0',
		'D_UEF_Flak 1.0',
		'D_UEF_Artillery 1.0',
		'D_UEF_Missile 1.0',
	},
	{	# New Armor Type Name UEF MediumTank
		'A_UEF_MediumTank',
		
		# Armor Definition
		'D_UEF_Machinegun 0.01',
		'D_UEF_Grenade 1.0',
		'D_UEF_Plasma 1.0',
		'D_UEF_TankShell 1.0',
		'D_UEF_Flak 1.0',
		'D_UEF_Artillery 1.0',
		'D_UEF_Missile 1.0',
	},
	{	# New Armor Type Name UEF HeavyTank
		'A_UEF_HeavyTank',
		
		# Armor Definition
		'D_UEF_Machinegun 1.0',
		'D_UEF_Grenade 1.0',
		'D_UEF_Plasma 1.0',
		'D_UEF_TankShell 1.0',
		'D_UEF_Flak 1.0',
		'D_UEF_Artillery 1.0',
		'D_UEF_Missile 1.0',
	},

#UEF Air

	{	# Damage Type Name UEF Railgun
		'D_UEF_Railgun',
		
		# Armor Definition
		'Normal 1.0',
	},
	{	# Damage Type Name UEF NapalmBomb
		'D_UEF_NapalmBomb',
		
		# Armor Definition
		'Normal 1.0',
	},
	{	# Damage Type Name UEF AnglerTorpedoes
		'D_UEF_AnglerTorpedoes',
		
		# Armor Definition
		'Normal 1.0',
	},
	{	# Damage Type Name UEF Nuke
		'D_UEF_Nuke',
		
		# Armor Definition
		'Normal 1.0',
	},
	{	# Damage Type Name UEF Rocket
		'D_UEF_Rocket',
		
		# Armor Definition
		'Normal 1.0',
	},
	
	{	# New Armor Type Name UEF LightAir
		'A_UEF_LightAir',
		
		# Armor Definition
		'D_UEF_Railgun 1.0',
		'D_UEF_NapalmBomb 1.0',
		'D_UEF_AnglerTorpedoes 1.0',
		'D_UEF_Nuke 1.0',
		'D_UEF_Rocket 1.0',
	},
	{	# New Armor Type Name UEF MediumAir
		'A_UEF_MediumAir',
		
		# Armor Definition
		'D_UEF_Railgun 1.0',
		'D_UEF_NapalmBomb 1.0',
		'D_UEF_AnglerTorpedoes 1.0',
		'D_UEF_Nuke 1.0',
		'D_UEF_Rocket 1.0',
	},
	{	# New Armor Type Name UEF HeavyAir
		'A_UEF_HeavyAir',
		
		# Armor Definition
		'D_UEF_Railgun 1.0',
		'D_UEF_NapalmBomb 1.0',
		'D_UEF_AnglerTorpedoes 1.0',
		'D_UEF_Nuke 1.0',
		'D_UEF_Rocket 1.0',
	},

}















